#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Mon Jun 24 13:07:06 2019

@author: martindrech
"""
from rigol_gen_ui import Ui_Frame
from GeneradorFuncionesRigol import GeneradorFuncionesRigol
from PyQt5 import QtWidgets, QtCore
import sys

rigGen = GeneradorFuncionesRigol()


app = QtWidgets.QApplication(sys.argv)
Frame = QtWidgets.QFrame()
ui = Ui_Frame()
ui.setupUi(Frame)


@QtCore.pyqtSlot(object)
def set_freq(sb):
    rigGen.Frequency = sb.value()
    print(sb.value())

@QtCore.pyqtSlot(object)
def set_amp(sb):
    rigGen.Voltage = sb.value()
    print(sb.value())
@QtCore.pyqtSlot(object)
def set_offset(sb):
    rigGen.Offset = sb.value()
    print(sb.value())
@QtCore.pyqtSlot(object)
def turn_on_off():
    if ui.cb_onOff.isChecked():
        rigGen.TurnOn()
    else:
        rigGen.TurnOff()


ui.sb_amp.setValue(1)
ui.sb_amp.setRange(0, 20)
ui.sb_amp.setSuffix('V')
ui.sb_amp.setSingleStep(.2)
ui.sb_amp.setOpts(siPrefix=True)

ui.sb_freq.setValue(50)
ui.sb_freq.setRange(0, 10000000)
ui.sb_freq.setSingleStep(200)
ui.sb_freq.setOpts(siPrefix=True)
ui.sb_freq.setSuffix('Hz')

ui.sb_offset.setValue(0)
ui.sb_offset.setRange(-7.5, 7.5)
ui.sb_offset.setSuffix('V')
ui.sb_offset.setSingleStep(.2)
ui.sb_offset.setOpts(siPrefix=True)

ui.cb_onOff.stateChanged.connect(turn_on_off)
ui.sb_amp.sigValueChanging.connect(set_amp)
ui.sb_freq.sigValueChanging.connect(set_freq)
ui.sb_offset.sigValueChanging.connect(set_offset)


Frame.show()

sys.exit(app.exec_())